Skip to main content
GET
/
v3
/
groups
/
definitions
/
{group}
Read Group Definition
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/groups/definitions/{group}
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/groups/definitions/{group}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.{tenant}.getomneo.com/api/v3/groups/definitions/{group}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "name": "<string>",
    "handle": "<string>",
    "type": "<string>",
    "source_type": "<string>",
    "source_id": 123,
    "query": "<string>",
    "query_type": "<string>",
    "arguments": [
      "<unknown>"
    ],
    "period": 123,
    "period_type": "<string>",
    "absolute_expiry": "<string>",
    "refresh_period": 123,
    "refresh_period_type": "<string>",
    "refresh_absolute_expiry": "<string>",
    "last_refreshed_at": "<string>",
    "next_refresh_at": "<string>",
    "refresh_status": "<string>",
    "refresh_error": "<string>",
    "short_description": "<string>",
    "description": "<string>",
    "owner_profile_id": "<string>",
    "meta": [
      "<unknown>"
    ],
    "is_published": true,
    "is_active": true,
    "is_archived": true,
    "created_at": "<string>",
    "updated_at": "<string>",
    "current_member_count": 123,
    "rules": [
      {
        "id": 123,
        "group_definition_id": 123,
        "group_rule_definition_id": 123,
        "type": "<string>",
        "name": "<string>",
        "arguments": [
          "<unknown>"
        ],
        "sort_order": 123,
        "is_active": true,
        "meta": [
          "<unknown>"
        ],
        "effective": {
          "handle": "<string>",
          "evaluator": "<string>",
          "rule": {},
          "name": "<string>",
          "arguments": [
            "<unknown>"
          ]
        },
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ]
  }
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Path Parameters

group
integer
required

The group ID

Response

GroupDefinition

data
GroupDefinition · object
required